## desktop-effects-tde-trinity 14.1.0

=== debian/changelog ===
desktop-effects-tde-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#desktop-effects-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 09 Apr 2023 03:15:03 +0200

desktop-effects-tde-trinity (0.4-7.4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

desktop-effects-tde-trinity (0.4-5) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 06 March 2009 01:35:00 -0600

desktop-effects-tde-trinity (0.4-3) intrepid; urgency=low

  * Added -trinity prefix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 01 Dec 2008 09:29:00 -0600

desktop-effects-tde (0.4) hardy; urgency=low

  * added translation support

 -- Michael Anderson <nosrednaekim@gmail.com>  Sun, 20 Apr 2008 21:04:40 -0400

desktop-effects-tde (0.3) hardy; urgency=low

  * Remove bashism in 25enable-compiz
  * Fixed LP: #207609 which installed the packages even when the user
    was selecting uninstall

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Mar 2008 14:05:01 +0100

desktop-effects-tde (0.2) hardy; urgency=low

  * Fix compile, image install paths and add .desktop file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Mar 2008 21:47:16 +0000

desktop-effects-tde (0.1) hardy; urgency=low

  * Initial package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Jan 2008 22:13:32 +0000

## desktop-effects-tde-trinity 14.1.5

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( desktop-effects-tde )


#### include essential cmake modules

include( FindPkgConfig )


#### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS             "Enable all optional support" OFF )
option( WITH_XORG_SESSION_COMPIZ_WM  "Install XOrg session configuration for Compiz as WM" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


##### directories

add_subdirectory( DesktopEffects )
add_subdirectory( data )


##### desktop-effect-tde (executable)

install(
  PROGRAMS ${PROJECT_NAME}
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
tde_create_translated_desktop( ${PROJECT_NAME}.desktop )

if( WITH_XORG_SESSION_COMPIZ_WM )
  install(
    FILES 25enable-compiz
    DESTINATION /etc/X11/Xsession.d
  )
endif()

## desktop-effects-tde-trinity 14.1.1

=== debian/changelog ===
desktop-effects-tde-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#desktop-effects-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Jun 2023 08:51:44 +0200

=== debian/control ===
Source: desktop-effects-tde-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends-Indep: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev,
 dh-python, python3-all-dev, pytde-dev
Standards-Version: 3.8.4
X-Python3-Version: all

Package: desktop-effects-tde-trinity
Architecture: all
Depends: ${python3:Depends}, python3-apt, python3-pytqt, python3-pytde
Replaces: desktop-effects-kde-trinity (<< 4:14.0.0~)
Breaks: desktop-effects-kde-trinity (<< 4:14.0.0~)
Description: compiz setup tool for Trinity
 A simple Compiz configuration tool for Trinity.  Installs and sets Compiz
 as the window manager.

## desktop-effects-tde-trinity 14.1.2

=== debian/changelog ===
desktop-effects-tde-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#desktop-effects-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 19 Apr 2024 01:24:45 +0200

## desktop-effects-tde-trinity 14.1.3

=== debian/changelog ===
desktop-effects-tde-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#desktop-effects-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 28 Sep 2024 23:10:39 +0200

## desktop-effects-tde-trinity 14.1.4

=== debian/changelog ===
desktop-effects-tde-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#desktop-effects-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## desktop-effects-tde-trinity 14.1.5~pre1

=== debian/changelog ===
desktop-effects-tde-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 5c94fb93ff6ae78a09396c3620a54e9ade66d7cf
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#desktop-effects-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## desktop-effects-tde-trinity 14.1.5

=== debian/changelog ===
desktop-effects-tde-trinity (4:14.1.5-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#desktop-effects-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

binary-install/desktop-effects-tde-trinity::
	dh_python3 -p $(cdbs_curpkg) --shebang=/usr/bin/python3 /opt/trinity/bin

## desktop-effects-tde-trinity 14.1.6~pre2

=== debian/changelog ===
desktop-effects-tde-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for bb2f0978a5cf2c0ca23ab55f8ba00b3a78df61c6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#desktop-effects-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 14 Nov 2025 22:35:38 +0100

## desktop-effects-tde-trinity 14.1.6~pre3

=== debian/changelog ===
desktop-effects-tde-trinity (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 537543cc2e900925ad0cccce35a16a69e3c15e48
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#desktop-effects-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 04 Dec 2025 22:34:23 +0100

## desktop-effects-tde-trinity 14.1.6~pre4

=== debian/changelog ===
desktop-effects-tde-trinity (4:14.1.6~pre4-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 9ca7725c293525026a4caed8455227394e5837a2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#desktop-effects-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 09 Dec 2025 22:32:17 +0100

## desktop-effects-tde-trinity 14.2.0~pre31

=== debian/changelog ===
desktop-effects-tde-trinity (4:14.2.0~pre31-0ubuntu25.10.0+6) questing; urgency=low

  * Automated git build for 8f64006a0fddbe1b30f0bc1dcc861d5335da1241
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#desktop-effects-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## desktop-effects-tde-trinity 14.2.0~pre33

=== debian/changelog ===
desktop-effects-tde-trinity (4:14.2.0~pre33-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for b440b21f7b833846db21afd9258bb78ca6801a09
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#desktop-effects-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 14 Nov 2025 11:17:29 +0100

## desktop-effects-tde-trinity 14.2.0~pre34

=== debian/changelog ===
desktop-effects-tde-trinity (4:14.2.0~pre34-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for aa75fa64e0414b014f7971d1c1e663d2f939aa2c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#desktop-effects-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 04 Dec 2025 05:50:55 +0100

## desktop-effects-tde-trinity 14.2.0~pre35

=== debian/changelog ===
desktop-effects-tde-trinity (4:14.2.0~pre35-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 5db0bdab7cacd5dcacb970fbb420ea1d685a03cd
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#desktop-effects-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 09 Dec 2025 00:50:52 +0100
